Bug 998925 - [origin_ui_66] It passed when add user variable like `rhc env set == -a $app_name`
[origin_ui_66] It passed when add user variable like `rhc env set == -a $app_...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 07:03 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:53:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2013-08-20 07:03:02 EDT
Description of problem:
when add a variable via client with the command `rhc env set == -a $app_name`

Version-Release number of selected component (if applicable):
devenv_3678
rhc build from devenv_3677

How reproducible:
always

Steps to Reproduce:
1. Create a app
2. Add a variable via `rhc env set == -a $app_name`
3. Check the output message and check if the variable is added

Actual results:
rhc env set == -a app 
Setting environment variable(s) ... done

rhc env list not contain the variable

Expected results:
It should FAIL and prompt user syntax error or others

Additional info:
Comment 1 Fabiano Franz 2013-08-21 14:03:18 EDT
Pull request: https://github.com/openshift/rhc/pull/444
Comment 2 weiwei jiang 2013-08-21 22:55:49 EDT
Test it on devenv_3683, and it display:
Environment variable(s) not provided.
Please provide at least one environment variable using the syntax
VARIABLE=VALUE. VARIABLE can only contain letters, digits and underscore ('_')
and can't begin with a digit.

so verified this , thx
Comment 3 weiwei jiang 2013-08-22 00:24:06 EDT
And rhc version is rhc build from devenv_3683

Note You need to log in before you can comment on or make changes to this bug.